これは、Google スプレッドシートを操作するためのツールを提供する MCP サーバーです。
Model Context Protocol(MCP)サーバーは、大規模言語モデル(LLM)または AI アプリケーションにコンテキスト、データ、機能を提供する外部サービスとの間のプロキシとして機能します。MCP サーバーは、AI アプリケーションをデータベースやウェブサービスなどの外部システムに接続し、そのレスポンスを AI アプリケーションが理解できる形式に変換します。
MCP ツール
MCP ツールは、現実世界でアクションを実行する目的で MCP サーバーが LLM または AI アプリケーションに対して公開する関数または実行可能な機能です。
ツール
sheetsmcp.googleapis.com MCP サーバーには、次のツールがあります。
| MCP ツール | |
|---|---|
get_values |
スプレッドシートから値の範囲を返します。REST API の spreadsheets.values.get に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/get |
get_spreadsheet |
指定されたスプレッドシートのスプレッドシート コンテンツを返します。指定されたスプレッドシート ID のタイトル、シート名、グリッド プロパティ、その他のメタデータを返します。リクエストされた場合は、完全なグリッドデータも返します。REST API の spreadsheets.get に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/get |
update_spreadsheet |
スプレッドシートに 1 つ以上の更新を適用します。 REST API の spreadsheets.batchUpdate に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/batchUpdate 更新できる内容は次のとおりです。
|
update_values |
スプレッドシートの範囲に値を設定します。REST API の spreadsheets.values.update に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/update |
update_formulas |
スプレッドシートの範囲に数式を設定します。REST API の spreadsheets.values.update に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/update |
insert_dimension |
特定のインデックスのシートに行または列を挿入します。spreadsheets.batchUpdate REST API の InsertDimensionRequest に対応します: https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets/request |
MCP ツールの仕様を取得する
MCP サーバー内のすべてのツールの MCP ツール仕様を取得するには、tools/list メソッドを使用します。次の例は、curl を使用して、MCP サーバー内で現在使用可能なすべてのツールとその仕様を一覧表示する方法を示しています。
| Curl リクエスト |
|---|
curl --location 'https://sheetsmcp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |